Page MenuHomePhabricator

MB Lateefi Fonts for Sindhi Wikipedia.
Closed, DeclinedPublic

Description

Sindhi Wikipedia doesn't have any attracting fonts. That's why I am requesting phabricators to kindly add MB Lateefi to Sindhi Wikipedia. MB Lateefi are standard fonts of Sindhi language, widely used for academic and other purposes and are freely available at bhurgri.com
Here is the link to fonts.

http://www.bhurgri.com/bhurgri/downloads/MBLATEEFI.TTF

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 18 2016, 10:31 AM
Dereckson added a subscriber: Dereckson.EditedJun 18 2016, 10:52 AM

I think we only add fonts with an open source license.

Please reach the author and ask them if they agree to release it under https://en.wikipedia.org/wiki/SIL_Open_Font_License or any other open source license.

Until that, we can't really process.

If OFL licensed, there are two interesting tasks to do:

  • add it on the imagescalers, to allow rendering of SVG on Wikimedia Commons
  • add it to the ULS

This requires from an Operations point of view a Debian/Ubuntu package with this font.

@mehtab.ahmed Font author could be contacted by mail: majidbhurgri@gmail.com

I have sent email to author for permission.

Aklapper changed the task status from Open to Stalled.Jun 18 2016, 6:57 PM
Aklapper triaged this task as Low priority.

Setting task status to STALLED until font is published under a free license. Please reset once sorted out.

Author is ready to give us permission he has asked for details.

Dereckson added a comment.EditedJun 18 2016, 10:23 PM

I suggest this as an explanation link: http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL

Especially the human readable part as http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL#9ccf5052

If these terms are suitable for the author, they can follow the instructions at http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL#83afb016 (Using the OFL)

Author has asked for a few days to resolve the matter.

mehtab.ahmed added a comment.EditedJun 23 2016, 4:06 AM

Author still needs a couple of days.

Thanks for the update.

If the author has some questions about licensing, I'll be happy to answer
them.

This file has been sent by author. Check if it's according to needs.

Waiting for reply.

The font is packaged in Debian unstable as https://packages.qa.debian.org/f/fonts-sil-lateef.html in the main section of Debian, so the copyright concerns are cleared. We can backport that for our image scalers running trusty/jessie.

That font as packaged in Debian is the font from http://software.sil.org/lateef/ , can someone please confirm that this is the correct font (the one from http://www.bhurgri.com/bhurgri/downloads/ seems to be a little different/outdated, at least file sizes differ)?

About the Debian package

I suspect the Debian package is for this font :
http://software.sil.org/lateef/

Note the difference: Lateef vs. Lateefi.

About the RAR archive

Content looks good to me.

The author should publish that somewhere, its own website for example. A
popular alternative is to use a 3rd party service like GitHub.

I have sent mail to author about publishing the license. Can anyone tell me how much time this process will take to finish?

Crystal ball broken. :) When this will be finished depends on the author (see T138136#2404415) and anyone who can answer T138136#2404366.

@MoritzMuehlenhoff So, as said in T138136#2404415 the Debian package is for another font, Lateef, designed by SIL. This font, Lateefi is another one, designed by Bhrugri.

@mehtab.ahmed Ask the font author their own goal and intent for further font update in the future:

  • If they want to retain some control on the font, and is interested to see it available on major Linux distributions, encourage the author to take responsibility publishing and maintaining the whole content of the archive they prepared for you somewhere on a public source control repository. This repository will be the source for packaging.
  • If the font was a one shot and the author has no intent to amend it in the future, the author collaboration is less important in such case, and we'll see what we can do to handle the process of offer a public release of this work. For example, you can take the responsibility to publish it and maintain it.

In both case, the process is now the following:

  1. Release the work
  2. Create a package, either for Debian (and Ubuntu if inclined), either for Wikimedia only (the first makes probably more sense, a font will benefit to all the community)
  3. The font will then be available, ready and we can handle the task

So, to be clear, Wikimedia is interested by released open source font, and the next step is so make the work publicly released.

While for being packaged in Debian/Ubuntu the TTF file is sufficient, ideally it should also provide the SFD source. For getting this packaged in Debian, please reach out to the Debian Fonts team at https://pkg-fonts.alioth.debian.org/, they will be able to assist you further.

Author is not responding anymore. :(

Please provide us any alternative fonts like Lateef or Tahoma bold, if they doesn't have any issue of open source or other things.

Lateef is absolutely doable, as already packaged for Debian.
http://www.dereckson.be/

For Lateefi, you could open a GitHub account and create there a repository
with the content of the .rar archive, as you already have the author
authorization and license. That qualifies as a public release, and that
could be a starting point for a Debian package for Lateefi.

@mehtab.ahmed : Can you name me a SVG which uses Sindhi, so that I can generate a test PNG with the Lateef font in a test setup?

@Dereckson kindly check this if I have done the work up to the expectation.
https://github.com/solangimehtab/hello-world/pull/1

@MoritzMuehlenhoff. Sorry I don't know any SVG that uses Sindhi.

If I can get any solution to this matter please.

@mehtab.ahmed : I'm afraid we're missing some language-specific background here, please help us out:

The Lateef font from http://software.sil.org/lateef/ is a Sindhi font and readily available. We could enable it on the Mediawiki servers rightaway as an intermediate solution. I suppose having that font is better than having no Sindhi font at all?

It's my understanding that Lateefi from http://www.bhurgri.com/bhurgri/downloads/ is a better Sindhi font, right? Getting that packaged will take longer, since the Debian font team will need to have a look at it.

@MoritzMuehlenhoff going with Lateef is better option, since we don't have any fonts. It's very sad that author of Lateefi font is not responding anymore.

Please update me about the work.

@mehtab.ahmed: Please see T138136#2421217 for the last update. If anything worth to share comes up, it will be shared here. Thanks for your understanding and patience.

Status update: I contacted the Debian maintainer of font-sil-lateef whether he's fine with uploading a backport of font-sil-lateef (which is currently only available in testing/unstable) to jessie-backports. Once that is available we can install the font on the image scalers.

Change 297236 had a related patch set uploaded (by Muehlenhoff):
Install fonts-sil-lateef on scalers

https://gerrit.wikimedia.org/r/297236

fonts-sil-lateef has been uploaded to jessie-backports, but it will only be available after the Debian backports team has allowed it's initial upload. Once that has happened, I'll merge the patch to enable it on the scalers.

Change 297236 merged by Muehlenhoff:
Install fonts-sil-lateef on scalers

https://gerrit.wikimedia.org/r/297236

@mehtab.ahmed The Lateef font for Sindhi is now installed on all image scalers, so hopefully SVGs using Sindhi will be improved over the status quo.

Once we can get the Lateefi font license clarified and packaged, we can add it as well, so I'm leaving this task open for now.

I contacted the Debian maintainer of font-sil-lateef whether he's fine with uploading a backport of font-sil-lateef (which is currently only available in testing/unstable) to jessie-backports.

@MoritzMuehlenhoff: Did you receive any reply?

@Aklapper : Yes, I had uploaded a version to jessie-backports, that is also rolled out on the servers. (https://packages.qa.debian.org/f/fonts-sil-lateef.html) This bug is kept open to track the superior Lateefi (note the extra i) font, which needs license clarification before we can use it.

Issue not resolved yet!

Issue not resolved yet!

That is why you see "Open" in the upper left corner below the task summary. No need to explicitly add a comment about that fact. :)
See T138136#2560363 for the status.

mehtab.ahmed added a comment.EditedDec 7 2016, 5:13 PM

@Aklapper: Can't we get another free license font.

@mehtab.ahmed : Find one and propose one?

@Aklapper: kindly vist this site, https://www.google.com/get/noto/
When I searched there for Sindhi (Arabic Script), site offered two fonts; Noto Kufi Arabic and Noto Naksh Arabic. As per my understanding both fonts are open sourced and licensed under OFL. I think Noto Naksh Arabic will be a good option to apply on Sindhi Wikipedia. :)

@Aklapper : waiting for reply.

Feel free to propose in a separate task. :)

Font issue has got resolved.

@mehtab.ahmed: Which "font issue" exactly, how and where? Also why did you remove me as a subscriber on this task?

@Aklapper: few days ago @BukhariSaeed asked me to update https://sd.wikipedia.org/wiki/%D8%B0%D8%B1%D9%8A%D8%B9%D8%A7%D8%AA_%D9%88%DA%AA%D9%8A:Common.css. Afterwards, fonts appeared as they used to appear before June 2016. I am sorry, I removed you from here. I don't know the proper procedures.

Afterwards, fonts appeared as they used to appear before June 2016

@mehtab.ahmed: Is that good? is that bad? And what does that mean for this task?

@Aklapper this is good, and this task should be removed now.

Aklapper closed this task as Declined.Mar 12 2018, 5:29 PM

Thanks a lot for the clarification!